var glossary = document.getElementById("glossary");
var topNodes = glossary.getElementsByClassName("tree")[0].childNodes;
var nodeHtmlAndClasses = [];

for (var i = 0, l = topNodes.length; i < l; i++) {
    var nodeHtmlAndClass = { iH: topNodes[i].innerHTML,
		cN: topNodes[i].className, lbl: topNodes[i].textContent };
    nodeHtmlAndClasses.push(nodeHtmlAndClass);
}

nodeHtmlAndClasses.sort(function (a, b) {
    var labelA = a.lbl.toLowerCase(), labelB = b.lbl.toLowerCase()
    if (labelA > labelB)
        return -1
    if (labelA < labelB)
        return 1
    return 0
});

for (var i = 0, l = topNodes.length; i < l; i++) {
    topNodes[i].innerHTML = nodeHtmlAndClasses[i]["iH"];
    topNodes[i].className = nodeHtmlAndClasses[i]["cN"];
}